Bug 827018

Summary: F17 upgrade fails with dirty filesystems dialog
Product: [Fedora] Fedora Reporter: Mark Haney <mark.haney>
Component: preupgradeAssignee: Richard Hughes <hughsient>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: 17CC: brothermand38, hughsient, scott
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-07-31 20:42:16 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Mark Haney 2012-05-31 08:48:01 EDT
Description of problem:
Just began an upgrade of F16->F17 using preupgrade.  When it was time to reboot, I got to the 'examining storage devices' dialog which then popped up a dialog claiming the filesystems were not shutdown cleanly and to reboot and clean the FS to continue the upgrade. FYI, the filesystems are an ext4 filesystem inside an LVM group.


Version-Release number of selected component (if applicable):


How reproducible: every time


Steps to Reproduce:
1.Preupgrade F16->F17
2.boot into upgrade install img.
3.get dialog
  
Actual results: Dialog stating filesystems not cleanly shutdown.


Expected results: a continuation of the upgrade


Additional info: I've tried the following with no results:

forcefsck
booting back into F16 and running fsck
getting into a second terminal session from the upgrade and fsck'ing the filesystems.  All were clean.
Check BIOS clock to make sure the time and timezone were correct.
Checked to make sure the proper kernel was loading during the upgrade after being made aware of a bug where a previous release kernel was loading in certain instances.
Tried booting upgrade with 'selinux=0' but got the same errors.

I've looked at DMESG during the upgrade and have seen logs of the 'volume mounted without journal' and SELinux errors relating to the HDD, but I'm not sure how relevant they are.  

I'll be glad to offer any additional data needed to fix this.
Comment 1 Mark Haney 2012-06-05 13:38:30 EDT
After some mailing list help and some extra digging, I found that this problem seems to be identical to bug#557989 that was present from F11 and up. HTH.
Comment 2 pscottdv 2012-06-22 12:19:34 EDT
I am also having this problem.

I have a question.  Has anyone ever been able to upgrade using preupgrade since F10?  This bug is identical to bug# 557989.  From David Lehman in Comment 8 of bug# 557989:

    "It looks like we never unmount sda5 after mounting it on /mnt/sysimage to
     check if it's an upgradable root filesystem."

I don't see how a problem like would allow anyone to ever upgrade using preupgrade.  I know it hasn't worked for me for one reason or another for at least the last several releases on any of my several workstations, netbooks, laptops and servers.

So, if my speculation is correct that this package has been unusable by *anyone* for the last three years, perhaps Fedora should pull it.  Or at least stop promoting it as the preferred upgrade method.

And if anyone has been able to use it, I sure would like to know what your secret is.
Comment 3 brothermand38 2012-07-25 09:00:02 EDT
I have the same problem It's been around for a while, their should be an option to continue the upgrade. I also have this problem trying to upgrade from the DVD. My system always checks clean when I do a file system check. Latest try was doing F16 to F17 upgrade. I guess I'll just upgrade using the yum method.
Comment 4 Fedora End Of Life 2013-07-03 18:40:08 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-07-31 20:42:21 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.